petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscPartitionerShellSetRandom

Set the flag to use a random partition

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode PetscPartitionerShellSetRandom(PetscPartitioner part, PetscBool random)

Collective on part

### Input Parameters

| part | - The PetscPartitioner
| random | - The flag to use a random partition

### See Also

PetscPartitionerShellGetRandom(), PetscPartitionerCreate()

### Level

intermediate

### Location

src/dm/impls/plex/plexpartition.c
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages